ghc-7.8.4: The GHC API

Safe Haskell | None
Language | Haskell98

SPARC.AddrMode

Synopsis

- data AddrMode
  - = AddrRegReg Reg Reg
  - | AddrRegImm Reg Imm
- addrOffset :: AddrMode -> Int -> Maybe AddrMode

# Documentation

data AddrMode

Represents a memory address in an instruction. Being a RISC machine, the SPARC addressing modes are very regular.

Constructors

AddrRegReg Reg Reg |
AddrRegImm Reg Imm |

addrOffset :: AddrMode -> Int -> Maybe AddrMode

Add an integer offset to the address in an AddrMode.